View Issue Details

IDProjectCategoryLast Update
0021471AI War 2[All Projects] Gameplay IdeaOct 20, 2019 7:39 pm
Reporterx4000BughunterAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.878 Fleet Customization 
Fixed in Version1.001 Official Game Launch! 
Summary0021471: Consider: double strength of Golems/Arks, and also AI homeworlds?
DescriptionBased on this comment from zharmad:

"To put some actual numbers, I can min/max a strikecraft-focussed transport fleet to end up carrying 5 mark-5~7 ship types. This totaled 1,800 ships (not as many as I could squeeze in, but generally useful ships). The fleet alone rated 347 strength, which would rival a AI homeworld. A wee bit overwhelming compared to Arks and golems."

https://bugtracker.arcengames.com/view.php?id=21455#c52451
TagsNo tags attached.

Activities

RocketAssistedPuffin

Aug 7, 2019 4:37 pm

developer   ~0052457

Sheesh.

AI Homeworlds do vary in their Strength - I have one here at 497, and another at only 240. Seems their Guard Post count is random, though even that doesn't seem to fully explain the discrepancy...

wm46

Aug 7, 2019 5:46 pm

reporter   ~0052460

Well, it'll affect the strength count due to the bonus strikecraft from each post (an extra 30% per post). That doesn't mean it's all because of the bonus though.

RocketAssistedPuffin

Aug 7, 2019 5:51 pm

developer   ~0052461

That's the thing - I saw a Homeworld with about 6 Posts, but on the lower end of the Strength scale. Then another with 6 Posts but it was far higher...

RocketAssistedPuffin

Aug 7, 2019 5:59 pm

developer   ~0052462

Last edited: Aug 7, 2019 6:02 pm

View 2 revisions

4 Posts - 200 Strength
4 Posts - 210 Strength
4 Posts - 197 Strength
4 Posts - 179 Strength
5 Posts - 264 Strength
5 Posts - 348 Strength
6 Posts - 337 Strength
6 Posts - 245 Strength
6 Posts - 230 Strength
7 Posts - 271 Strength
7 Posts - 312 Strength
7 Posts - 290 Strength
7 Posts - 416 Strength
8 Posts - 445 Strength

So mostly the same, but with the occasional spike in the same Post count. Turrets might be the cause of some of these...some have 150-200 Mark 7 Turrets.

BadgerBadger

Aug 7, 2019 7:16 pm

manager   ~0052464

Do AI homeworld fights need to be made harder again?

RocketAssistedPuffin

Aug 7, 2019 7:31 pm

developer   ~0052467

Maybe? The fact there are no cap multipliers on any Flagships at all is I think a large decrease in player strength, so by that the Homeworlds are much harder already...maybe.

zharmad

Aug 8, 2019 8:02 am

reporter   ~0052478

Maybe. There are three factors to consider in this number:
(1) The total fleet strength will be reduced by up to half in the new patch, since I did find a fleet with at least 1.8x multiplier.
(2) and I was able to accumulate a lot of additional tech due to superterminal hack being way too easy: the total deduction after 1000sec should be 0000217:0000200 AIP.
(3) There was also a neutral planet no-AIP exploit that was fixed, allowing me to try to test game performance with 10,000 player ships (5% speed).

Here is the save before I assaulted the homeworld, at a whopping 37 planets captured. Strike group Hartet is the one you're looking for.

I would guess that the player should not have more than 1 completely maxed out fleet unless they also up the AIP to 300+.

E.save (1,541,959 bytes)

x4000Bughunter

Aug 8, 2019 12:16 pm

administrator   ~0052483

Part of me would like for players to really feel like they need to pull out all the stops to beat the AI homeworlds, aka that they need some sort of superweapon or ally. Needing to pick up a late game golem or Ark to even have a chance makes sense to me, unless the player has just royally improved themselves with other things they found or an allied dyson or whatever else. The other factions provide lots of interesting alternatives.

RocketAssistedPuffin

Aug 8, 2019 12:35 pm

reporter   ~0052484

I feel like one step towards that is just making it a consistent amount of Guard Posts? Or at least, a higher minimum value, so it always has...at least 5, instead of at least 3.

RocketAssistedPuffin

Aug 8, 2019 6:26 pm

reporter   ~0052493

A bug was found and fixed that was seemingly increasing the amount of ships you got with each Tech upgrade, so coupled with the removal of the cap multipliers on Flagships, the Homeworld part of this might be already done?

RocketAssistedPuffin

Oct 18, 2019 8:42 pm

reporter   ~0053792

* Armored Golem damage 1,000 -> 2,000, Sabot damage 2,000 -> 3,000, range 8000 -> 10,100.

* Cursed Golem damage 700 -> 1,250, Sabot damage 1,500 -> 2,000.

* Black Widow Golem speed 600 -> 1,000, damage 200 -> 350.

* Artillery Golem damage 100,000 -> 200,000.

* Botnet Golem damage 450 -> 2,000, shots per salvo 50 -> 80, can only target mobile units, can't target high mass targets, costs 50 AIP to capture instead of 20, and is a Lone Wolf like the Hive Golem.
** AI Botnet Golem has a lower chance to spawn on AI planets as well.
** Thanks to zeusalmighty for suggesting.

* Standardised AI Golems to be 3x the durability and damage of a player Golem.
** They were pretty close as is, apparently.

* Rorqual Hegira damage 3,000 -> 7,000, now takes half damage for 5 seconds after using a wormhole, does bonus damage to shields and also has vampirism, similar to the Siphoner unit.

* Thanatos single shot weapon damage 6,000 -> 12,000, Parasite Bolt damage 600 -> 900.

* Ark One damage 350 -> 1050.

* Orchid damage 7,000 -> 14,000, repair rate increased 50%, repair range doubled.

* Gryn damage 6,000 -> 16,000, increased fleet unit construction rate 33%.

* Reduced AI counterattack bonus for crippling some player Fleet centerpieces.

Is what I have so far. Putting it here for now, continue tomorrow maybe.

Issue History

Date Modified Username Field Change
Aug 7, 2019 4:17 pm x4000Bughunter New Issue
Aug 7, 2019 4:17 pm x4000Bughunter Status new => assigned
Aug 7, 2019 4:17 pm x4000Bughunter Assigned To => RocketAssistedPuffin
Aug 7, 2019 4:37 pm RocketAssistedPuffin Note Added: 0052457
Aug 7, 2019 5:46 pm wm46 Note Added: 0052460
Aug 7, 2019 5:51 pm RocketAssistedPuffin Note Added: 0052461
Aug 7, 2019 5:59 pm RocketAssistedPuffin Note Added: 0052462
Aug 7, 2019 6:02 pm RocketAssistedPuffin Note Edited: 0052462 View Revisions
Aug 7, 2019 7:16 pm BadgerBadger Note Added: 0052464
Aug 7, 2019 7:31 pm RocketAssistedPuffin Note Added: 0052467
Aug 8, 2019 8:02 am zharmad File Added: E.save
Aug 8, 2019 8:02 am zharmad Note Added: 0052478
Aug 8, 2019 12:16 pm x4000Bughunter Note Added: 0052483
Aug 8, 2019 12:35 pm RocketAssistedPuffin Note Added: 0052484
Aug 8, 2019 6:26 pm RocketAssistedPuffin Note Added: 0052493
Oct 18, 2019 8:42 pm RocketAssistedPuffin Note Added: 0053792
Oct 20, 2019 7:39 pm RocketAssistedPuffin Status assigned => resolved
Oct 20, 2019 7:39 pm RocketAssistedPuffin Resolution open => fixed
Oct 20, 2019 7:39 pm RocketAssistedPuffin Fixed in Version => 1.001 Official Game Launch!